Wayland Library Window Functions

Functions
Wayland Library Window Functions
Ecore » Ecore_Wl2 - Wayland integration

Functions that deal with creating, destroying, or interacting with Wayland windows. More...

## Functions
EAPI Ecore_Wl2_Window * | ecore_wl2_window_new (Ecore_Wl2_Display *display, Ecore_Wl2_Window *parent, int x, int y, int w, int h)
| Create a new Ecore_Wl2_Window. More...
EAPI void | ecore_wl2_window_close_callback_set (Ecore_Wl2_Window *window, void(*cb)(void *data, Ecore_Wl2_Window *win), void *data)
| Set a callback to be caleld just before the window is closed and freed. More...
EAPI struct wl_surface * | ecore_wl2_window_surface_get (Ecore_Wl2_Window *window)
| Get the wl_surface which belongs to this window. More...
EAPI int | ecore_wl2_window_surface_id_get (Ecore_Wl2_Window *window)
| Get the id of a given Ecore_Wl2_Window. More...
EAPI void | ecore_wl2_window_aspect_set (Ecore_Wl2_Window *window, int w, int h, unsigned int aspect)
EAPI void | ecore_wl2_window_aspect_get (Ecore_Wl2_Window *window, int *w, int *h, unsigned int *aspect)
EAPI void | ecore_wl2_window_show (Ecore_Wl2_Window *window)
| Show a given Ecore_Wl2_Window. More...
EAPI void | ecore_wl2_window_hide (Ecore_Wl2_Window *window)
| Hide a given Ecore_Wl2_Window. More...
EAPI void | ecore_wl2_window_free (Ecore_Wl2_Window *window)
| Free a given Ecore_Wl2_Window. More...
EAPI void | ecore_wl2_window_move (Ecore_Wl2_Window *window, Ecore_Wl2_Input *input)
| Begin moving a given Ecore_Wl2_Window. More...
EAPI void | ecore_wl2_window_resize (Ecore_Wl2_Window *window, Ecore_Wl2_Input *input, int location)
| Begin resizing a given window. More...
EAPI Eina_Bool | ecore_wl2_window_alpha_get (Ecore_Wl2_Window *window)
| Get if a given window is alpha. More...
EAPI void | ecore_wl2_window_alpha_set (Ecore_Wl2_Window *window, Eina_Bool alpha)
| Set a given window's alpha property. More...
EAPI void | ecore_wl2_window_opaque_region_set (Ecore_Wl2_Window *window, int x, int y, int w, int h)
| Set the opaque region of the Ecore_Wl2_Window. More...
EAPI void | ecore_wl2_window_opaque_region_get (Ecore_Wl2_Window *window, int *x, int *y, int *w, int *h)
| Get the opaque region of the Ecore_Wl2_Window. More...
EAPI void | ecore_wl2_window_input_region_set (Ecore_Wl2_Window *window, int x, int y, int w, int h)
| Set the input region of the Ecore_Wl2_Window. More...
EAPI void | ecore_wl2_window_input_region_get (Ecore_Wl2_Window *window, int *x, int *y, int *w, int *h)
| Get the input region of the Ecore_Wl2_Window. More...
EAPI Eina_Bool | ecore_wl2_window_maximized_get (Ecore_Wl2_Window *window)
| Get if a given window is maximized. More...
EAPI void | ecore_wl2_window_maximized_set (Ecore_Wl2_Window *window, Eina_Bool maximized)
| Set the maximized state of a given window. More...
EAPI Eina_Bool | ecore_wl2_window_fullscreen_get (Ecore_Wl2_Window *window)
| Get if a given window is fullscreen. More...
EAPI void | ecore_wl2_window_fullscreen_set (Ecore_Wl2_Window *window, Eina_Bool fullscreen)
| Set the fullscreen state of a given window. More...
EAPI int | ecore_wl2_window_rotation_get (Ecore_Wl2_Window *window)
| Get if a given window is rotated. More...
EAPI void | ecore_wl2_window_rotation_set (Ecore_Wl2_Window *window, int rotation)
| Set the rotation of a given window. More...
EAPI void | ecore_wl2_window_title_set (Ecore_Wl2_Window *window, const char *title)
| Set the title of a given window. More...
EAPI const char * | ecore_wl2_window_title_get (Ecore_Wl2_Window *window)
| Get the title of a given window. More...
EAPI void | ecore_wl2_window_class_set (Ecore_Wl2_Window *window, const char *clas)
| Set the class of a given window. More...
EAPI const char * | ecore_wl2_window_class_get (Ecore_Wl2_Window *window)
| Get the class of a given window. More...
EAPI void | ecore_wl2_window_geometry_get (Ecore_Wl2_Window *window, int *x, int *y, int *w, int *h)
| Get the geometry of a given window. More...
EAPI void | ecore_wl2_window_geometry_set (Ecore_Wl2_Window *window, int x, int y, int w, int h)
| Set the geometry of a given window. More...
EAPI void | ecore_wl2_window_type_set (Ecore_Wl2_Window *window, Ecore_Wl2_Window_Type type)
| Set the type of a given window. More...
EAPI Ecore_Wl2_Window_Type | ecore_wl2_window_type_get (Ecore_Wl2_Window *window)
| Get the type of a given window. More...
EAPI Ecore_Wl2_Output * | ecore_wl2_window_output_find (Ecore_Wl2_Window *window)
| Find the output that a given window is on. More...
EAPI void | ecore_wl2_window_wm_rotation_supported_set (Ecore_Wl2_Window *window, Eina_Bool enabled)
| Set if window rotation is supported by the window manager. More...
EAPI Eina_Bool | ecore_wl2_window_wm_rotation_supported_get (Ecore_Wl2_Window *window)
| Get if window rotation is supported by the window manager. More...
EAPI void | ecore_wl2_window_rotation_app_set (Ecore_Wl2_Window *window, Eina_Bool set)
| Set if an application has set window rotation. More...
EAPI Eina_Bool | ecore_wl2_window_rotation_app_get (Ecore_Wl2_Window *window)
| Get if an application has set window rotation. More...
EAPI void | ecore_wl2_window_preferred_rotation_set (Ecore_Wl2_Window *window, int rot)
| Set preferred rotation on a given window. More...
EAPI void | ecore_wl2_window_available_rotations_set (Ecore_Wl2_Window *window, const int *rots, unsigned int count)
| Set a windows available rotations. More...
EAPI Eina_Bool | ecore_wl2_window_available_rotations_get (Ecore_Wl2_Window *window, int **rots, unsigned int *count)
| Get a windows available rotations. More...
EAPI Eina_Bool | ecore_wl2_window_activated_get (const Ecore_Wl2_Window *window)
| Get the activated state of a window. More...
EAPI void | ecore_wl2_window_popup_input_set (Ecore_Wl2_Window *window, Ecore_Wl2_Input *input)
| Set the seat for a popup window to be used with grab. More...
EAPI Ecore_Wl2_Input * | ecore_wl2_window_popup_input_get (Ecore_Wl2_Window *window)
| Get the seat for a popup window to be used with grab. More...
EAPI Eina_Bool | ecore_wl2_window_shell_surface_exists (Ecore_Wl2_Window *win)
| Check if a window has a shell surface - without one it can't be visible. More...
EAPI Ecore_Wl2_Display * | ecore_wl2_window_display_get (const Ecore_Wl2_Window *window)
| Get which display a given window is using. More...
EAPI void | ecore_wl2_window_focus_skip_set (Ecore_Wl2_Window *window, Eina_Bool focus_skip)
| Set if this window should ignore focus requests. More...
EAPI Eina_Bool | ecore_wl2_window_focus_skip_get (Ecore_Wl2_Window *window)
| Get if this window ignores focus requests. More...
EAPI void | ecore_wl2_window_role_set (Ecore_Wl2_Window *window, const char *role)
| Set the role of a given window. More...
EAPI const char * | ecore_wl2_window_role_get (Ecore_Wl2_Window *window)
| Get the role of a given window. More...
EAPI void | ecore_wl2_window_floating_mode_set (Ecore_Wl2_Window *window, Eina_Bool floating)
| Set if a given window is in floating mode. More...
EAPI Eina_Bool | ecore_wl2_window_floating_mode_get (Ecore_Wl2_Window *window)
| Get if a given window is in floating mode. More...
EAPI Ecore_Wl2_Window * | ecore_wl2_window_surface_find (struct wl_surface *surface)
| Finds a window by surface. More...
EAPI Eina_Bool | ecore_wl2_window_resizing_get (Ecore_Wl2_Window *window)
| Get if a given window is resizing. More...
EAPI void | ecore_wl2_window_buffer_transform_set (Ecore_Wl2_Window *window, int transform)
| Set a buffer transform on a given window. More...
EAPI void | ecore_wl2_window_iconified_set (Ecore_Wl2_Window *window, Eina_Bool iconified)
| Iconify a window. More...
EAPI Eina_List * | ecore_wl2_window_aux_hints_supported_get (Ecore_Wl2_Window *window)
| Get list of supported auxiliary window hints. More...
EAPI void | ecore_wl2_window_aux_hint_add (Ecore_Wl2_Window *window, int id, const char *hint, const char *val)
| Add a supported auxiliary hint to a given window. More...
EAPI void | ecore_wl2_window_aux_hint_change (Ecore_Wl2_Window *window, int id, const char *val)
| Change an auxiliary hint on a given window. More...
EAPI void | ecore_wl2_window_aux_hint_del (Ecore_Wl2_Window *window, int id)
| Delete an auxiliary hint on a given window. More...

## Detailed Description

Functions that deal with creating, destroying, or interacting with Wayland windows.

## Function Documentation

## ◆ ecore_wl2_window_new()

EAPI Ecore_Wl2_Window* ecore_wl2_window_new | ( | Ecore_Wl2_Display * | display,
|  | Ecore_Wl2_Window * | parent,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Create a new Ecore_Wl2_Window.

Parameters

  display | The Ecore_Wl2_Display on which to create this new window
  parent | The Ecore_Wl2_Window which is the parent of this window
  x | Initial x position of window
  y | Initial y position of window
  w | Initial width of window
  h | Initial height of window

Since
  1.17

References eina_inlist_append(), EINA_INLIST_GET, EINA_SAFETY_ON_NULL_RETURN_VAL, and EINA_TRUE.

## ◆ ecore_wl2_window_close_callback_set()

EAPI void ecore_wl2_window_close_callback_set | ( | Ecore_Wl2_Window * | window,
|  | void(*)(void *data, Ecore_Wl2_Window *win) | cb,
|  | void * | data
| ) |  |

Set a callback to be caleld just before the window is closed and freed.

Parameters

  window | The window to listen to for a xdg toplevel close callback
  cb | The callback function to call being passed data and window
  data | The Data pointer to pass as data to the callback

Since
  1.24

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_surface_get()

EAPI struct wl_surface* ecore_wl2_window_surface_get | ( | Ecore_Wl2_Window * | window | ) |

Get the wl_surface which belongs to this window.

Parameters

  window | The Ecore_Wl2_Window to get the surface of

Returns
  The wl_surface associated with this window.

Since
  1.17

References EINA_SAFETY_ON_NULL_RETURN_VAL.

Referenced by ecore_wl2_dnd_drag_start().

## ◆ ecore_wl2_window_surface_id_get()

EAPI int ecore_wl2_window_surface_id_get | ( | Ecore_Wl2_Window * | window | ) |

Get the id of a given Ecore_Wl2_Window.

Parameters

  window | The window to return the id of

Returns
  The id of the given window, or -1 on failure

Since
  1.17

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_aspect_set()

EAPI void ecore_wl2_window_aspect_set | ( | Ecore_Wl2_Window * | window,
|  | int | w,
|  | int | h,
|  | unsigned int | aspect
| ) |  |

See also
  evas_object_size_hint_aspect_set

Since
  1.21

References ecore_wl2_display_flush(), EINA_SAFETY_ON_NULL_RETURN, and EINA_SAFETY_ON_TRUE_RETURN.

## ◆ ecore_wl2_window_aspect_get()

EAPI void ecore_wl2_window_aspect_get | ( | Ecore_Wl2_Window * | window,
|  | int * | w,
|  | int * | h,
|  | unsigned int * | aspect
| ) |  |

See also
  evas_object_size_hint_aspect_get

Since
  1.24

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_show()

EAPI void ecore_wl2_window_show | ( | Ecore_Wl2_Window * | window | ) |

Show a given Ecore_Wl2_Window.

Parameters

  window | The Ecore_Wl2_Window to show

Since
  1.17

References ecore_wl2_window_input_region_set(), ecore_wl2_window_opaque_region_set(), and EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_hide()

EAPI void ecore_wl2_window_hide | ( | Ecore_Wl2_Window * | window | ) |

Hide a given Ecore_Wl2_Window.

Parameters

  window | The Ecore_Wl2_Window to hide

Since
  1.17

References ecore_wl2_window_commit(), EINA_FALSE, EINA_SAFETY_ON_NULL_RETURN, and EINA_TRUE.

## ◆ ecore_wl2_window_free()

EAPI void ecore_wl2_window_free | ( | Ecore_Wl2_Window * | window | ) |

Free a given Ecore_Wl2_Window.

Parameters

  window | The Ecore_Wl2_Window to free

Since
  1.17

References ecore_wl2_display_disconnect(), EINA_FALSE, EINA_INLIST_FOREACH, EINA_INLIST_FOREACH_SAFE, EINA_INLIST_GET, eina_inlist_remove(), EINA_SAFETY_ON_NULL_RETURN, eina_stringshare_del(), and eina_stringshare_replace().

## ◆ ecore_wl2_window_move()

EAPI void ecore_wl2_window_move | ( | Ecore_Wl2_Window * | window,
|  | Ecore_Wl2_Input * | input
| ) |  |

Begin moving a given Ecore_Wl2_Window.

Parameters

  window | The Ecore_Wl2_Window which to move
  input | The seat on which the move is active on

Since
  1.20

References ecore_wl2_display_flush(), EINA_INLIST_CONTAINER_GET, EINA_SAFETY_ON_NULL_RETURN, and ERR.

## ◆ ecore_wl2_window_resize()

EAPI void ecore_wl2_window_resize | ( | Ecore_Wl2_Window * | window,
|  | Ecore_Wl2_Input * | input,
|  | int | location
| ) |  |

Begin resizing a given window.

Parameters

  window | The Ecore_Wl2_Window which to resize
  input | The seat on which the resize is active
  location | The edge of the window from which the resize should start

Since
  1.20

References ecore_wl2_display_flush(), EINA_INLIST_CONTAINER_GET, EINA_SAFETY_ON_NULL_RETURN, and ERR.

## ◆ ecore_wl2_window_alpha_get()

EAPI Eina_Bool ecore_wl2_window_alpha_get | ( | Ecore_Wl2_Window * | window | ) |

Get if a given window is alpha.

Parameters

  window | The window to get if is alpha

Returns
  EINA_TRUE if window is alpha, EINA_FALSE otherwise

Since
  1.17

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_alpha_set()

EAPI void ecore_wl2_window_alpha_set | ( | Ecore_Wl2_Window * | window,
|  | Eina_Bool | alpha
| ) |  |

Set a given window's alpha property.

Parameters

  window | The window on which to set the alpha property
  alpha | EINA_TRUE to set window as alpha, EINA_FALSE otherwise

Since
  1.17

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_opaque_region_set()

EAPI void ecore_wl2_window_opaque_region_set | ( | Ecore_Wl2_Window * | window,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Set the opaque region of the Ecore_Wl2_Window.

Parameters

  window | The window
  x | The left point of the region.
  y | The top point of the region.
  w | The width of the region.
  h | The height of the region.

Since
  1.17

References EINA_SAFETY_ON_NULL_RETURN, and EINA_TRUE.

Referenced by ecore_wl2_window_show().

## ◆ ecore_wl2_window_opaque_region_get()

EAPI void ecore_wl2_window_opaque_region_get | ( | Ecore_Wl2_Window * | window,
|  | int * | x,
|  | int * | y,
|  | int * | w,
|  | int * | h
| ) |  |

Get the opaque region of the Ecore_Wl2_Window.

Parameters

  window | The window
  x | The left point of the region.
  y | The top point of the region.
  w | The width of the region.
  h | The height of the region.

Since
  1.24

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_input_region_set()

EAPI void ecore_wl2_window_input_region_set | ( | Ecore_Wl2_Window * | window,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Set the input region of the Ecore_Wl2_Window.

To set an empty region, pass width and height as 0.

An empty input region means the entire window surface will accept input.

Parameters

  window | The window to set the input region of
  x | The left point of the region.
  y | The top point of the region.
  w | The width of the region.
  h | The height of the region.

Since
  1.17

References EINA_SAFETY_ON_NULL_RETURN, and EINA_TRUE.

Referenced by ecore_wl2_window_show().

## ◆ ecore_wl2_window_input_region_get()

EAPI void ecore_wl2_window_input_region_get | ( | Ecore_Wl2_Window * | window,
|  | int * | x,
|  | int * | y,
|  | int * | w,
|  | int * | h
| ) |  |

Get the input region of the Ecore_Wl2_Window.

Parameters

  window | The window to set the input region of
  x | The left point of the region.
  y | The top point of the region.
  w | The width of the region.
  h | The height of the region.

Since
  1.24

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_maximized_get()

EAPI Eina_Bool ecore_wl2_window_maximized_get | ( | Ecore_Wl2_Window * | window | ) |

Get if a given window is maximized.

Parameters

  window | The window to get the maximized state of

Returns
  EINA_TRUE if window is maximized, EINA_FALSE otherwise

Since
  1.17

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_maximized_set()

EAPI void ecore_wl2_window_maximized_set | ( | Ecore_Wl2_Window * | window,
|  | Eina_Bool | maximized
| ) |  |

Set the maximized state of a given window.

Parameters

  window | The window to set the maximized state of
  maximized | EINA_TRUE to set maximized, EINA_FALSE to unset

Since
  1.17

References ecore_wl2_display_flush(), EINA_SAFETY_ON_NULL_RETURN, and EINA_TRUE.

## ◆ ecore_wl2_window_fullscreen_get()

EAPI Eina_Bool ecore_wl2_window_fullscreen_get | ( | Ecore_Wl2_Window * | window | ) |

Get if a given window is fullscreen.

Parameters

  window | The window to get the fullscreen state of

Returns
  EINA_TRUE if window is fullscreen, EINA_FALSE otherwise

Since
  1.17

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_fullscreen_set()

EAPI void ecore_wl2_window_fullscreen_set | ( | Ecore_Wl2_Window * | window,
|  | Eina_Bool | fullscreen
| ) |  |

Set the fullscreen state of a given window.

Parameters

  window | The window to set the fullscreen state of
  fullscreen | EINA_TRUE to set fullscreen, EINA_FALSE to unset

Since
  1.17

References ecore_wl2_display_flush(), EINA_SAFETY_ON_NULL_RETURN, and EINA_TRUE.

## ◆ ecore_wl2_window_rotation_get()

EAPI int ecore_wl2_window_rotation_get | ( | Ecore_Wl2_Window * | window | ) |

Get if a given window is rotated.

Parameters

  window | The window to get the rotation of

Returns
  The amount of rotation for this window, or -1 on failure

Since
  1.17

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_rotation_set()

EAPI void ecore_wl2_window_rotation_set | ( | Ecore_Wl2_Window * | window,
|  | int | rotation
| ) |  |

Set the rotation of a given window.

Parameters

  window | The window to set the rotation of
  rotation | The amount of rotation

Since
  1.17

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_title_set()

EAPI void ecore_wl2_window_title_set | ( | Ecore_Wl2_Window * | window,
|  | const char * | title
| ) |  |

Set the title of a given window.

Parameters

  window | The window to set the title of
  title | The title of the window

Since
  1.17

References ecore_wl2_display_flush(), EINA_SAFETY_ON_NULL_RETURN, and eina_stringshare_replace().

## ◆ ecore_wl2_window_title_get()

EAPI const char* ecore_wl2_window_title_get | ( | Ecore_Wl2_Window * | window | ) |

Get the title of a given window.

Parameters

  window | The window to set the title of

Returns
  A string if found, or NULL otherwise

Since
  1.24

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_class_set()

EAPI void ecore_wl2_window_class_set | ( | Ecore_Wl2_Window * | window,
|  | const char * | clas
| ) |  |

Set the class of a given window.

Parameters

  window | The window to set the class of
  clas | The class of the window

Since
  1.17

References ecore_wl2_display_flush(), EINA_SAFETY_ON_NULL_RETURN, and eina_stringshare_replace().

## ◆ ecore_wl2_window_class_get()

EAPI const char* ecore_wl2_window_class_get | ( | Ecore_Wl2_Window * | window | ) |

Get the class of a given window.

Parameters

  window | The window to set the class of

Returns
  A string if found, or NULL otherwise

Since
  1.24

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_geometry_get()

EAPI void ecore_wl2_window_geometry_get | ( | Ecore_Wl2_Window * | window,
|  | int * | x,
|  | int * | y,
|  | int * | w,
|  | int * | h
| ) |  |

Get the geometry of a given window.

The window geometry returned here is the window geometry as recognized by xdg_surface_set_window_geometry. As such, it represents the "visible bounds" of a window from the user's perspective.

Parameters

  window | The window to get the geometry of
  x | The left point of the window geometry
  y | The top point of the window geometry
  w | The width of the window geometry
  h | The height of the window geometry

Since
  1.17

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_geometry_set()

EAPI void ecore_wl2_window_geometry_set | ( | Ecore_Wl2_Window * | window,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Set the geometry of a given window.

The window geometry referenced here is the window geometry as recognized by xdg_surface_set_window_geometry. As such, it represents the "visible bounds" of a window from the user's perspective.

Parameters

  window | The window to set the geometry of
  x | The left point of the window geometry
  y | The top point of the window geometry
  w | The width of the window geometry
  h | The height of the window geometry

Since
  1.17

References EINA_SAFETY_ON_NULL_RETURN, and EINA_TRUE.

## ◆ ecore_wl2_window_type_set()

EAPI void ecore_wl2_window_type_set | ( | Ecore_Wl2_Window * | window,
|  | Ecore_Wl2_Window_Type | type
| ) |  |

Set the type of a given window.

Parameters

  window | The window to set the type of
  type | The Ecore_Wl2_Window_Type to set on the window

Since
  1.17

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_type_get()

EAPI Ecore_Wl2_Window_Type ecore_wl2_window_type_get | ( | Ecore_Wl2_Window * | window | ) |

Get the type of a given window.

See also
  Ecore_Wl2_Window_Type

Since
  1.24

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_output_find()

EAPI Ecore_Wl2_Output* ecore_wl2_window_output_find | ( | Ecore_Wl2_Window * | window | ) |

Find the output that a given window is on.

Parameters

  window | The window to find the output for

Returns
  An Ecore_Wl2_Output if found, or NULL otherwise

Since
  1.20

References eina_list_data_get(), and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_wm_rotation_supported_set()

EAPI void ecore_wl2_window_wm_rotation_supported_set | ( | Ecore_Wl2_Window * | window,
|  | Eina_Bool | enabled
| ) |  |

Set if window rotation is supported by the window manager.

Parameters

  window |
  enabled |

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_wm_rotation_supported_get()

EAPI Eina_Bool ecore_wl2_window_wm_rotation_supported_get | ( | Ecore_Wl2_Window * | window | ) |

Get if window rotation is supported by the window manager.

Parameters

  window |

Returns
  EINA_TRUE if supported, EINA_FALSE otherwise

Since
  1.20

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_rotation_app_set()

EAPI void ecore_wl2_window_rotation_app_set | ( | Ecore_Wl2_Window * | window,
|  | Eina_Bool | set
| ) |  |

Set if an application has set window rotation.

Parameters

  window |
  set |

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_rotation_app_get()

EAPI Eina_Bool ecore_wl2_window_rotation_app_get | ( | Ecore_Wl2_Window * | window | ) |

Get if an application has set window rotation.

Parameters

  window |

Returns
  EINA_TRUE if set, EINA_FALSE otherwise

Since
  1.20

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_preferred_rotation_set()

EAPI void ecore_wl2_window_preferred_rotation_set | ( | Ecore_Wl2_Window * | window,
|  | int | rot
| ) |  |

Set preferred rotation on a given window.

Parameters

  window | The window to set preferred rotation on
  rot | The value of the preferred rotation to set

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_available_rotations_set()

EAPI void ecore_wl2_window_available_rotations_set | ( | Ecore_Wl2_Window * | window,
|  | const int * | rots,
|  | unsigned int | count
| ) |  |

Set a windows available rotations.

Parameters

  window |
  rots |
  count |

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_available_rotations_get()

EAPI Eina_Bool ecore_wl2_window_available_rotations_get | ( | Ecore_Wl2_Window * | window,
|  | int ** | rots,
|  | unsigned int * | count
| ) |  |

Get a windows available rotations.

Parameters

  window |
  rots |
  count |

Returns
  EINA_TRUE on success, EINA_FALSE otherwise

Since
  1.20

References EINA_FALSE, EINA_SAFETY_ON_NULL_RETURN_VAL, and EINA_TRUE.

## ◆ ecore_wl2_window_activated_get()

EAPI Eina_Bool ecore_wl2_window_activated_get | ( | const Ecore_Wl2_Window * | window | ) |

Get the activated state of a window.

Parameters

  window | The window to get activated state from

Returns
  `EINA_TRUE` if activated

Since
  1.20

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_popup_input_set()

EAPI void ecore_wl2_window_popup_input_set | ( | Ecore_Wl2_Window * | window,
|  | Ecore_Wl2_Input * | input
| ) |  |

Set the seat for a popup window to be used with grab.

Parameters

  window | The window
  input | The seat

Use this function for desktop shell requests involving popup grabs which require a seat for the grab.

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN, and EINA_SAFETY_ON_TRUE_RETURN.

## ◆ ecore_wl2_window_popup_input_get()

EAPI Ecore_Wl2_Input* ecore_wl2_window_popup_input_get | ( | Ecore_Wl2_Window * | window | ) |

Get the seat for a popup window to be used with grab.

Parameters

  window | The window

Returns
  Returns Ecore_Wl2_Input if the window has an input.

Since
  1.24

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_shell_surface_exists()

EAPI Eina_Bool ecore_wl2_window_shell_surface_exists | ( | Ecore_Wl2_Window * | win | ) |

Check if a window has a shell surface - without one it can't be visible.

Parameters

  win | The window to check

Returns
  Returns true if the window has an associated shell surface.

Since
  1.19

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_display_get()

EAPI Ecore_Wl2_Display* ecore_wl2_window_display_get | ( | const Ecore_Wl2_Window * | window | ) |

Get which display a given window is using.

Parameters

  window | The window to get the display of

Returns
  The Ecore_Wl2_Display that this window is using, or NULL otherwise

Since
  1.17

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_focus_skip_set()

EAPI void ecore_wl2_window_focus_skip_set | ( | Ecore_Wl2_Window * | window,
|  | Eina_Bool | focus_skip
| ) |  |

Set if this window should ignore focus requests.

Parameters

  window | The window to set ignore focus requests on
  focus_skip | EINA_TRUE if this window should skip focus requests, EINA_FALSE otherwise

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_focus_skip_get()

EAPI Eina_Bool ecore_wl2_window_focus_skip_get | ( | Ecore_Wl2_Window * | window | ) |

Get if this window ignores focus requests.

Parameters

  window | The window to get the focus skip value from

Returns
  EINA_TRUE if a window should skip focus requests, EINA_FALSE otherwise

Since
  1.20

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_role_set()

EAPI void ecore_wl2_window_role_set | ( | Ecore_Wl2_Window * | window,
|  | const char * | role
| ) |  |

Set the role of a given window.

Parameters

  window |
  role |

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN, and eina_stringshare_replace().

## ◆ ecore_wl2_window_role_get()

EAPI const char* ecore_wl2_window_role_get | ( | Ecore_Wl2_Window * | window | ) |

Get the role of a given window.

Parameters

  window | The window to set the class role

Returns
  A string if found, or NULL otherwise

Since
  1.24

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_floating_mode_set()

EAPI void ecore_wl2_window_floating_mode_set | ( | Ecore_Wl2_Window * | window,
|  | Eina_Bool | floating
| ) |  |

Set if a given window is in floating mode.

Parameters

  window | The window to set floating mode on
  floating | EINA_TRUE if this window should be in floating mode, EINA_FALSE otherwise

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_floating_mode_get()

EAPI Eina_Bool ecore_wl2_window_floating_mode_get | ( | Ecore_Wl2_Window * | window | ) |

Get if a given window is in floating mode.

Parameters

  window | The window to get floating mode

Returns
  EINA_TRUE if floating, EINA_FALSE otherwise

Since
  1.20

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_surface_find()

EAPI Ecore_Wl2_Window* ecore_wl2_window_surface_find | ( | struct wl_surface * | surface | ) |

Finds a window by surface.

Parameters

  surface | The surface to find the window of

Since
  1.24

References ecore_wl2_connected_display_get(), ecore_wl2_display_window_find_by_surface(), and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_resizing_get()

EAPI Eina_Bool ecore_wl2_window_resizing_get | ( | Ecore_Wl2_Window * | window | ) |

Get if a given window is resizing.

Parameters

  window | The window to check for resizing

Returns
  EINA_TRUE if resizing, EINA_FALSE otherwise

Since
  1.21

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ ecore_wl2_window_buffer_transform_set()

EAPI void ecore_wl2_window_buffer_transform_set | ( | Ecore_Wl2_Window * | window,
|  | int | transform
| ) |  |

Set a buffer transform on a given window.

Parameters

  window | The window on which to set the buffer transform
  transform | The buffer transform being requested

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_iconified_set()

EAPI void ecore_wl2_window_iconified_set | ( | Ecore_Wl2_Window * | window,
|  | Eina_Bool | iconified
| ) |  |

Iconify a window.

Parameters

  window | The window to iconifiy
  iconified | The new iconified state to set

Since
  1.17

References ecore_wl2_display_flush(), and EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_wl2_window_aux_hints_supported_get()

EAPI Eina_List* ecore_wl2_window_aux_hints_supported_get | ( | Ecore_Wl2_Window * | window | ) |

Get list of supported auxiliary window hints.

Parameters

  window |

Returns
  An Eina_List of supported auxiliary hints, or NULL otherwise

Since
  1.20

References eina_list_append(), EINA_LIST_FOREACH, and eina_stringshare_add().

## ◆ ecore_wl2_window_aux_hint_add()

EAPI void ecore_wl2_window_aux_hint_add | ( | Ecore_Wl2_Window * | window,
|  | int | id,
|  | const char * | hint,
|  | const char * | val
| ) |  |

Add a supported auxiliary hint to a given window.

Parameters

  window |
  id |
  hint |
  val |

Since
  1.20

References ecore_wl2_display_flush().

## ◆ ecore_wl2_window_aux_hint_change()

EAPI void ecore_wl2_window_aux_hint_change | ( | Ecore_Wl2_Window * | window,
|  | int | id,
|  | const char * | val
| ) |  |

Change an auxiliary hint on a given window.

Parameters

  window |
  id |
  val |

Since
  1.20

References ecore_wl2_display_flush().

## ◆ ecore_wl2_window_aux_hint_del()

EAPI void ecore_wl2_window_aux_hint_del | ( | Ecore_Wl2_Window * | window,
|  | int | id
| ) |  |

Delete an auxiliary hint on a given window.

Parameters

  window |
  id |

Since
  1.20

References ecore_wl2_display_flush().